Subject: bug#14630: 24.3.50; emacs_backtrace.txt

From: Eli Zaretskii <[email-masked]>
Date: Tue, 18 Jun 2013 19:01:47 +0300

> Date: Tue, 18 Jun 2013 09:20:28 +0200
> From: martin rudalics <[email-masked]>
> CC: Juanma Barranquero <[email-masked]>, [email-masked]
> 
>  > Thanks.  This is again bug #14062, which appears to not be fixed yet.
>  > I've just committed (as trunk revision 113023) yet another attempt on
>  > squashing it.
> 
> This is slowly getting irrational :-(

If you have better ideas, I'm all ears.

The backtraces reported by Drew consistently point to this line in
w32fns.c:

	    form.rcArea.top += WINDOW_HEADER_LINE_HEIGHT (w);

i.e. to whatever happens in the expansion of
WINDOW_HEADER_LINE_HEIGHT.  The XBUFFER part there was already handled
by the BUFFERP condition, so the only one remaining is XWINDOW.  Which
is why I added WINDOWP.

> Maybe we should start replacing BUFFERP by BUFFER_LIVE_P.  BUFFERP (like
> WINDOWP and FRAMEP) is IMHO harmful virtually everywhere.

I didn't touch any BUFFERP or related macro in the last change.